# What is DopamineKit?

[![Gems](https://img.shields.io/gem/v/dopaminekit.svg?maxAge=2592000)](https://rubygems.org/gems/dopaminekit)

[![Maintenance](https://img.shields.io/maintenance/yes/2016.svg?maxAge=2592000)](mailto:team@usedopamine.com)


Boost retention and user engagement in your Ruby app.

DopamineKit provides wrappers for accessing the DopamineAPI and expressive UI reinforcements for your app.

Get your free API key at [http://dashboard.usedopamine.com/](http://dashboard.usedopamine.com/).

Learn more at [http://usedopamine.com](http://usedopamine.com).

## Installation

 1. Add this line to your application's Gemfile:

    ```ruby
    gem 'dopaminekit', '~> 4.0.0'
    ```

 2. And then in terminal execute:

    ```
    $ bundle install
    ```

Or 

 1. Install it into the ruby environment yourself as:

    ```
    $ gem install dopaminekit
    ```

## Usage

  1. First, make sure you have received your API key and other credentials, which are automatically generated from the [Dopamine Developer Dashboard](http://dashboard.usedopamine.com). 

  2. Import DopamineKit

  ```ruby
  require 'dopaminekit'
  ```

 - __Note:__ You may need to use `require 'rubygems'` as well
  
  3. Create a DopamineKit object with your credentials passed in as Strings

	```
   	## Credentials for your Dopamine account
	@appID = "generated from dashboard.usedopamine.com"
	@developmentSecret = "generated from dashboard.usedopamine.com"
	@productionSecret = "generated from dashboard.usedopamine.com"
	@versionID = "testing"
	@inProduction = false
	@debugMode = true
		
	@dopaminekit = DopamineKit.new(appID, developmentSecret, productionSecret, versionID, inProduction, debugMode)
	
   ## Track
   response = dopaminekit.track( jsonAsHash )
	
   ## Report
   response = dopaminekit.report( jsonAsHash )
	
   ## Refresh
   response = dopaminekit.refresh( jsonAsHash )
   
	```
	
========

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at [https://github.com/dopaminelabs/dopaminekit/issues](https://github.com/dopaminelabs/dopaminekit/issues). This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

