# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dopaminekit/version'

Gem::Specification.new do |spec|
  spec.name          = "dopaminekit"
  spec.version       = Dopaminekit::VERSION
  spec.authors       = ["Akash Desai"]
  spec.email         = ["kash650@gmail.com"]

  spec.summary       = %q{"A class to use DopamineLabs machine learning API"}
  spec.description   = %q{This gem provides a class for interacting with the DopamineAPI from ruby. After you have received your API key and configured the actions and reinforcements relevant to your app on the [Dopamine Developer Dashboard](dashboard.usedopamine.com), you may use this gem to place 'tracking', and 'reinforcement' calls from inside your app that will communicate directly with the DopamineAPI.}
  spec.homepage      = "https://github.com/DopamineLabs/DopamineKit-Ruby"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.add_development_dependency "rspec", "~> 3.4.0"
  spec.add_dependency "json", "~> 1.8.2"
end
